title test of H, HeI, and HeII ionization in optically thin limit
c H cross section is 1.0E-18 cm^2, rec coef is 4.18E-13
c answer is n(Ho)/n(H+)=4.18e-3
c HeI cross section is 1.51E-18 cm^2, rec coef is 4.32e-13
c answer is n(Heo)/n(He+)=2.86e-4, so Heo/He = 4.83e-7
c HeII cross section is 1.30E-18 cm^2, rec coef is 2.20e-12
c answer is n(He+)/n(He2+)=1.69e-3
laser 4.3 Ryd
phi(h) 10
hden 1
constant temperature = 4
iterate  to convergence 
stop zone 1
abundances all -10
set dr 0
print last
punch asserts "laser3.asr" last
assert ionization hydrogen 1 -2.37
assert ionization helium   1 -6.32
assert ionization helium   2 -2.77
assert niter 3
c laser3.in
